Page MenuHomeFreeBSD

Rack delayed ack issue
ClosedPublic

Authored by rrs on Aug 3 2018, 11:48 AM.

Details

Summary

Turns out that Rack fails to translate to ms the delayed ack
value from the system default in ticks. This works fine
when hz=1000 but other hz values cause problems.

Test Plan

Use pkt-drill to validate the new fix on a machine with hz=100 (like a vm)

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

rrs created this revision.Aug 3 2018, 11:48 AM
tuexen requested changes to this revision.Aug 3 2018, 12:16 PM
tuexen added inline comments.
sys/netinet/tcp_stacks/rack.c
2278 ↗(On Diff #46229)

I guess you mean

delayed_ack = TICKS_2_MSEC(tcp_delacktime);

I can confirm that with that change the issue is resolved.

This revision now requires changes to proceed.Aug 3 2018, 12:16 PM
swills added a subscriber: swills.Aug 4 2018, 9:54 PM
rrs added inline comments.Aug 5 2018, 11:45 AM
sys/netinet/tcp_stacks/rack.c
2278 ↗(On Diff #46229)

Yep. typo'd the update.. let me get it in place and changed.

rrs updated this revision to Diff 46310.Aug 5 2018, 11:47 AM

Update my typo :)

tuexen accepted this revision.Aug 5 2018, 11:57 AM
This revision is now accepted and ready to land.Aug 5 2018, 11:57 AM
This revision was automatically updated to reflect the committed changes.